<?php

namespace App\Filament\Clusters\Loans\LoanOrders\Pages;

use App\Filament\Clusters\Loans\LoanOrders\LoanOrderResource;
use Filament\Actions\DeleteAction;
use Filament\Actions\ForceDeleteAction;
use Filament\Actions\RestoreAction;
use Filament\Actions\ViewAction;
use Filament\Resources\Pages\EditRecord;

class EditLoanOrder extends EditRecord
{
    protected static string $resource = LoanOrderResource::class;

    protected function getHeaderActions(): array
    {
        return [
            ViewAction::make(),
            DeleteAction::make(),
            ForceDeleteAction::make(),
            RestoreAction::make(),
        ];
    }
}
